%define gs_ver 8.60
%define gs_dot_ver 8.60

Summary: A PostScript(TM) interpreter and renderer.
Name: ghostscript
Version: %{gs_ver}

Release: 1

License: AFPL (Aladdin Free Public License)
URL: http://www.ghostscript.com/
Group: Applications/Publishing
Source0: %{name}-%{gs_ver}.tar.bz2
Patch0: %{name}-aix-%{gs_ver}.patch

Requires: libjpeg, libpng, zlib, fontconfig
Requires: urw-fonts >= 1.1, ghostscript-fonts
BuildRequires: libjpeg-devel, libpng-devel, zlib-devel, fontconfig-devel
BuildRoot: %{_tmppath}/%{name}-%{gs_ver}-root


%description
Ghostscript is a set of software that provides a PostScript(TM)
interpreter, a set of C procedures (the Ghostscript library, which
implements the graphics capabilities in the PostScript language) and
an interpreter for Portable Document Format (PDF) files. Ghostscript
translates PostScript code into many common, bitmapped formats, like
those understood by your printer or screen. Ghostscript is normally
used to display PostScript files and to print PostScript files to
non-PostScript printers.

If you need to display PostScript files or print them to
non-PostScript printers, you should install ghostscript. If you
install ghostscript, you also need to install the ghostscript-fonts
package.

%package devel
Summary: Files for developing applications that use ghostscript.
Requires: %{name} = %{version}-%{release}
Group: Development/Libraries

%description devel
The header files for developing applications that use ghostscript.


%prep
%setup -q
%patch0


%build
export CC=xlc
export CFLAGS="-O"
./configure --prefix=%{_prefix} \
--with-ijs --with-jbig2dec --with-drivers=ALL
cat Makefile | \
sed -e "s|SHARE_JPEG=0|SHARE_JPEG=1|" | \
sed -e "s|SHARE_LIBPNG=0|SHARE_LIBPNG=1|" | \
sed -e "s|SHARE_ZLIB=0|SHARE_ZLIB=1|" > Makefile.tmp
mv Makefile.tmp Makefile
make


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/opt/freeware install

# install header files
mkdir -p $RPM_BUILD_ROOT%{_includedir}/ghostscript
cp src/iapi.h $RPM_BUILD_ROOT%{_includedir}/ghostscript
cp src/ierrors.h $RPM_BUILD_ROOT%{_includedir}/ghostscript
cp src/errors.h $RPM_BUILD_ROOT%{_includedir}/ghostscript
cp src/gdevdsp.h $RPM_BUILD_ROOT%{_includedir}/ghostscript
chmod 644 $RPM_BUILD_ROOT%{_includedir}/ghostscript/*

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{gs_dot_ver}
mv $RPM_BUILD_ROOT%{_datadir}/ghostscript/%{gs_dot_ver}/doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{gs_dot_ver}
rmdir $RPM_BUILD_ROOT%{_datadir}/ghostscript/%{gs_dot_ver}/doc/

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mv $RPM_BUILD_ROOT%{_datadir}/man/man1/* $RPM_BUILD_ROOT%{_mandir}/man1/
rm -rf $RPM_BUILD_ROOT%{_datadir}/man


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{gs_dot_ver}
%{_bindir}/*
%{_mandir}/*/*
%{_includedir}/ghostscript/*
%{_datadir}/ghostscript/%{gs_dot_ver}/Resource/
%{_datadir}/ghostscript/%{gs_dot_ver}/examples/
%{_datadir}/ghostscript/%{gs_dot_ver}/lib/


%changelog
* Fri Sep 28 2007 Michael Perzl <michael@perzl.org> - 8.60-1
- first version for AIX V5.1 and higher

